BMATLSSocket Class Reference

`#include <BMATLSSocket.h>`

Inheritance diagram for BMATLSSocket:
[legend]
Collaboration diagram for BMATLSSocket:
[legend]

## Public Member Functions

| BMATLSSocket (BMAEPoll &ePoll, SSL_CTX *ctx)
virtual void | output (std::stringstream &out)
Public Member Functions inherited from BMATCPSocket
| BMATCPSocket (BMAEPoll &ePoll)
Public Member Functions inherited from BMASocket
| BMASocket (BMAEPoll &ePoll)
void | setDescriptor (int descriptor)
| Set the descriptor for the socket.
int | getDescriptor ()
| Get the descriptor for the socket.
void | eventReceived (struct epoll_event event)
| Parse epoll event and call specified callbacks. More...
void | write (std::string data)
void | write (char *buffer, int length)
void | output (std::stringstream &out)
virtual void | onRegistered ()
| Called when the socket has finished registering with the epoll processing. More...
virtual void | onUnregistered ()
| Called when the socket has finished unregistering for the epoll processing. More...
void | enable (bool mode)
| Enable the socket to read or write based upon buffer.

## Protected Member Functions

void | receiveData (char *buffer, int bufferLength) override
Protected Member Functions inherited from BMASocket
void | setBufferSize (int length)
virtual void | onConnected ()
| Called when socket is open and ready to communicate. More...
virtual void | onDataReceived (std::string data)=0
| Called when data is received from the socket. More...
void | shutdown ()

## Additional Inherited Members

Public Attributes inherited from BMATCPSocket
BMAIPAddress | ipAddress
Public Attributes inherited from BMASocket
class {
} | bufferSize
Public Attributes inherited from BMAObject
std::string | name
std::string | tag
Protected Attributes inherited from BMASocket
BMAEPoll & | ePoll
bool | shutDown = false

## Detailed Description

BMATLSSocket

Provides a network TLS socket.

For accessing TLS network functions use this object. The connection oriented nature of TLS provides a single client persistent connection with data error correction and a durable synchronous data connection.

## Member Function Documentation

## output()

void BMATLSSocket::output | ( | std::stringstream & | out | ) |

virtual

The output method is called by a socket session (BMASession) and will output the detail information for the client socket. When extending BMATLSSocket or BMASession you can override the method to add attributes to the list.

Reimplemented from BMATCPSocket.

## receiveData()

void BMATLSSocket::receiveData | ( | char * | buffer,
|  | int | bufferLength
| ) |  |

overrideprotectedvirtual

receiveData will read the data from the socket and place it in the socket buffer. TLS layer overrides this to be able to read from SSL.

Reimplemented from BMASocket.

The documentation for this class was generated from the following files:

- /home/barant/Documents/Development/BMASockets/BMATLSSocket.h
- /home/barant/Documents/Development/BMASockets/BMATLSSocket.cpp